Subject: bug#52559: guix pull fails with `Unknown command: nix fish: nix show-derivation "~/.fr-sqOEpp/....-module-import-compiled.drv"

From: Grigory Shepelev <[email-masked]>
Date: Thu, 16 Dec 2021 22:32:06 +0300

Also: tried guix pull rollback, reconfigure the system, and pull again
multiple times.

чт, 16 дек. 2021 г. в 22:29, Grigory Shepelev <[email-masked]>:

> Ok. Now it's /gnu/store/87kif0bpf0anwbsaw0jvg8fyciw4sz67-bash-5.0.16/bin/bash:
> nix: command not found. With bash...
> I have no idea what's going on here. Guess there are some
> nix-interpopability that fails somewhere.
> Also: noticed that all associated nix-directories (~/nix-profile, ...)
> exist, have root chown, and are not empty. There is even a spotify that I
> installed with nix earlier, in ~/.nix-profile/bin. Although I removed nix
> from services and packages in my system-wide config.
>
> чт, 16 дек. 2021 г. в 22:15, Grigory Shepelev <[email-masked]>:
>
>> Hm...
>> I just use the "default" fish as home-service and it's set as my user's
>> shell... I will try to change them both to bash and try again. Maybe that's
>> a "non standard-shell" issue.
>> Will update later.
>>
>> чт, 16 дек. 2021 г. в 21:29, Maxime Devos <[email-masked]>:
>>
>>> Grigory Shepelev schreef op do 16-12-2021 om 20:46 [+0300]:
>>> > guix pull fails for a 4 days at least with the same error:
>>> >
>>> > fish: Unknown command: nix
>>> > fish:
>>> > nix show-derivation "/home/shegeley/.cache/.fr-
>>> > sqOEpp/273vsd5gv1ch73ayih504s5wcxvysq-module-import-compiled.drv"
>>>
>>> That's an error message from fish, not from guix.
>>>
>>> Why is fish trying to run nix on Guix System?
>>> Maybe you configured fish to interpret output lines containing ".drv"?
>>>
>>> Greetings,
>>> Maxime.
>>>
>>>